{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/menuStyle.css')}}" />
{% endblock %}

{% block content %}

  <script type="text/javascript">
    $(document).ready(function(){
      $(".menu-modal").modal('setting', 'closable', false);
      $(".menu-modal").modal('show');
    });
  </script>

  {% if ristorante.menu is null %}
    <div class="ui basic modal menu-modal">
      <div class="ui icon header">
        <i class="leanpub icon"></i>
        Menu mancante
      </div>
      <div class="content" style="margin-left: 200px">
        <p>Ancora per questo ristorante non è presente alcun menu. Aggiungerlo ora?</p>
      </div>
      <div class="actions">
        <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}"><div class="ui red basic cancel inverted button">
          <i class="remove icon"></i>
          No
        </div></a>
        <a href="{{path('admin_menu_crea', { 'id': ristorante.id })}}"><div class="ui green ok inverted button">
          <i class="checkmark icon"></i>
          Si
        </div></a>
      </div>
    </div>

  {% else %}

    <div class="ui raised segment">
      <div class="ui breadcrumb" style="margin: 2%;">
        <a href="{{path('homepage')}}"class="section">Home</a>
        <i class="right angle icon divider"></i>
        <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
        <i class="right angle icon divider"></i>
        <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
        <i class="right angle icon divider"></i>
        <div class="active section">Menu</div>
      </div>
    </div>

    <h2 class="ui center aligned icon header fly" style="display: none">
      <i class="circular leanpub icon"></i>
      Menu
    </h2>
    <p style="text-align: center">
      <em>"{{ristorante.menu.descrizione}}"</em>
    </p>

    <div class="ui divider"></div>

    <i class="ui warning circle icon"></i><small><em>Aggiungere <strong>1 solo piatto</strong> alla volta. La pagina sarà ricaricata ad ogni aggiunta.</em></small>
    <div id="menu" class="ui one column grid" style="margin: 1%;">
      <div class="column">
        <div class="ui raised segment" style="padding: 3%">
          <div class="ui divided selection list" style="padding: 3% 1.5% 3% 3%">
          {% for sezione in ristorante.menu.sezioni %}
            <div id="sezione{{sezione.id}}">
              <a class="item" style="cursor: default">
                <div class="ui big blue horizontal label" style="margin-bottom: 0.3%">{{sezione.nome}}</div>
                {% if sezione.descrizione != null %}
                  <em>"{{sezione.descrizione}}"</em>
                {% endif %}
              </a>
              <div style="float: right; margin-right: 1.5%; cursor: pointer" class="icon button" data-position="left center" data-tooltip='Aggiungi pietanza alla sezione "{{sezione}}"' data-inverted="">
                <i class="ui add circle icon add-pietanza" data-id="{{sezione.id}}" style="font-size: 40px;"></i>
              </div>
              {% if sezione.pietanze|length != 0 %}
                <div class="ui relaxed divided list" style="margin: 1%">
                  {% for pietanza in sezione.pietanze %}
                  <div class="item" style="padding-left: 1%;">
                    <div class="header" style="display: inline">{{pietanza.nome}}&emsp;</div>
                    {% if pietanza.descrizione != null %}
                      <small><em>|&emsp;"{{pietanza.descrizione}}"</em></small>
                    {% endif %}
                    <br/><br/><small>
                      {% for ingrediente in pietanza.ingredienti %}
                        {% if loop.index == pietanza.ingredienti|length %}
                          <strong>{{ingrediente.nome}}</strong>
                        {% else %}
                          <strong>{{ingrediente.nome}}</strong> -
                        {% endif %}
                      {% endfor %}
                    </small>
                    <small>
                      [<em>
                        Carboidrati: {{pietanza.carboidrati}}, Grassi: {{pietanza.grassi}}, Sale: {{pietanza.sale}}, Zuccheri: {{pietanza.zuccheri}}, Proteine: {{pietanza.proteine}} - Kcal: {{pietanza.calorie}}
                      </em>]
                    </small>
                    <a class="ui yellow label" style="float: right; margin-right: 3%; cursor: default">{{pietanza.prezzo}} €</a>
                  </div>
                  {% endfor %}
                </div>
              {% endif %}
              <form id="form{{sezione.id}}" class='ui form' method='post' style='margin: 1%; display: none'>
                <input type='hidden' value="{{sezione.id}}" name='sezione'/>
                  <h4 class='ui dividing header'>Nuova pietanza</h4>
                  <div class='four fields'>
                    <div class='required field'>
                      <label>Nome</label>
                      <input type='text' name='nome' placeholder='Nome'>
                    </div>
                    <div class='field'>
                      <label>Descrizione</label>
                      <textarea rows='1' name='descrizione' placeholder='Descrizione'></textarea>
                    </div>
                    <div class='required field'>
                      <label>Calorie</label>
                      <div class='ui right labeled left icon input'>
                        <i class='tags icon'></i>
                        <input type='number' step='1' min='0' placeholder='Calorie' name='calorie'>
                        <a class='ui tag label'>
                          Kcal.
                        </a>
                      </div>
                    </div>
                    <div class='required field'>
                      <label>Prezzo</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Prezzo' name='prezzo'>
                        <div class='ui basic label'>
                          €
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class='five fields'>
                    <div class='required field'>
                      <label>Grassi</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Grassi' name='grassi'>
                        <div class='ui basic label'>
                          g
                        </div>
                      </div>
                    </div>
                    <div class='required field'>
                      <label>Carboidrati</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Carboidrati' name='carboidrati'>
                        <div class='ui basic label'>
                          g
                        </div>
                      </div>
                    </div>
                    <div class='required field'>
                      <label>Zuccheri</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Zuccheri' name='zuccheri'>
                        <div class='ui basic label'>
                          g
                        </div>
                      </div>
                    </div>
                    <div class='required field'>
                      <label>Proteine</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Proteine' name='proteine'>
                        <div class='ui basic label'>
                          g
                        </div>
                      </div>
                    </div>
                    <div class='required field'>
                      <label>Sale</label>
                      <div class='ui right labeled input'>
                        <input type='number' step='0.01' min='0' placeholder='Sale' name='sale'>
                        <div class='ui basic label'>
                          g
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class='required field' style="width: 50%">
                    <label>Ingredienti</label>
                    <select class="ui fluid search dropdown" multiple="true" name="ingredienti[]">
                      {% for prodotto in prodotti %}
                        {% if prodotto.tipo == "Ingrediente" %}
                          <option value="{{prodotto.id}}">{{prodotto.nome}}</option>
                        {% endif %}
                      {% endfor %}
                    </select>
                  </div>
                  <div class='ui divider'></div>
                  <div>
                    <button id='inserisci-pietanza' style='float:right' type='submit'class='ui right labeled icon positive button submit-button'>
                      <i class='checkmark icon'></i> Ok, ho finito!
                     </button>
                    <div class='actions'>
                      <div id="cancel-new-pietanza" class='ui cancel button'>
                        Annulla
                      </div>
                    </div>
                  </div>
                </form>
              <div class="ui divider" style="margin-top: 0 !important"></div>
            </div>
          {% endfor %}
          </div>
        </div>
      </div>
    </div>

    <a href="{{path('admin_menu_edit', { 'id': ristorante.id })}}">
      <div id="edit-icon" class="ui icon button action-icon" data-position="left center" data-tooltip="Modifica il menù" data-inverted="">
        <i class="write icon"></i>
      </div>
    </a>
    <a href="{{path('admin_menu_delete', { 'id': ristorante.menu.id })}}">
      <div id="delete-icon" class="ui icon button action-icon" data-position="left center" data-tooltip="Rimuovi" data-inverted="">
        <i class="trash icon"></i>
      </div>
    </a>

  {% endif %}


  {% block javascripts %}{% endblock %}

{% endblock %}
